
sub get_words
{
	my $len = shift;
	open DICT, "/usr/share/dict/words" 
	or die "Unable to open /usr/share/dict/words";
	my @words = ();
	while (<DICT>) {
		# take off the \n at the end.
		chomp($_);
		push(@words, $_);
	}
	close DICT;
	
	# length of dictionary.
	my $d = scalar(@words);
	#print $d . "\n"; # == 38619
	my $data = "";
	for(0..$len) {
		# print a random word from the dictionary.
		$data .= $words[int(rand($d))] . " ";
	}
	$data;
}

1;
