#!/usr/bin/perl -w

# china2.pl
# Ouputs 20 random English words 
# from /usr/share/dict/words
# Specifically meant to be silly.
# Used to compliment linhat_ai1.pl

# at the end of this, @words will be 345 kB
# This is a bit more memory and io intensive than it needs to be.
# A better way would be to: 
# 1) Find the length of the dictionary.
# 2) Get a random number $r between 0 and length.
# 3) Skip to line $r and grab the word.
# 4) Goto 2 until we have 20 words.

use PFM::china;

my $data = get_words(20);

print "$data\n";
